---
id: 662bd552e1c1d2db1b88ba47
title: Step 3
challengeType: 20
dashedName: step-3
---

# --description--

Now, define another class named `LinearEquation` and make it inherit from `Equation`. You'll use this class to represent linear equations.

# --hints--

You should define a class named `LinearEquation`.

```js
({ test: () => assert(runPython(`_Node(_code).has_class("LinearEquation")`)) })
```

Your `LinearEquation` class should inherit from the `Equation` class.

```js
({ test: () => assert(runPython(`_Node(_code).find_class("LinearEquation").inherits_from("Equation")`)) })
```

# --seed--

## --seed-contents--

```py
class Equation:
    def solve(self):
        pass
        
    def analyze(self):
        pass
--fcc-editable-region--

--fcc-editable-region--
```
